=== debian/control ===
Source: curl
Section: web
Priority: optional
Maintainer: Domenico Andreoli <cavok@debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>> 5), autoconf, libtool, automake1.7, binutils (>= 2.14.90.0.7), libssl-dev (>= 0.9.8-1), libgnutls-dev, zlib1g-dev, stunnel, libkrb5-dev [!hurd-i386], libidn11-dev, groff-base, libdb4.2-dev, libldap2-dev
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.7.2

Package: curl
Architecture: any
Section: web
Replaces: curl-ssl
Provides: curl-ssl
Depends: ${shlibs:Depends}
Description: Get a file from an HTTP, HTTPS, FTP or GOPHER server
 curl is a client to get files from servers using any of the supported
 protocols. The command is designed to work without user interaction
 or any kind of interactivity.
 .
 curl offers a busload of useful tricks like proxy support, user
 authentication, ftp upload, HTTP post, file transfer resume and more.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3
Architecture: any
Section: libs
Replaces: libcurl2 (<< 1:7.11.2-2)
Suggests: libldap2
Depends: ${shlibs:Depends}, ca-certificates
Description: Multi-protocol file transfer library
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 SSL support is provided by OpenSSL.
 To enable LDAP support package libldap2-dev is required.
 .
 This is the shared version of libcurl.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-gnutls
Architecture: any
Section: libs
Suggests: libldap2
Depends: ${shlibs:Depends}, ca-certificates
Description: Multi-protocol file transfer library
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 SSL support is provided by GnuTLS.
 To enable LDAP support package libldap2-dev is required.
 .
 This is the shared version of libcurl.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-openssl-dev
Architecture: any
Section: libdevel
Suggests: libcurl3-dbg
Provides: libcurl-dev, libcurl-ssl-dev
Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-dev (<< 7.14.1-1)
Conflicts: libcurl2-dev, libcurl3-gnutls-dev
Depends: libcurl3 (= ${Source-Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev, libidn11-dev, libkrb5-dev | hurd
Description: Development files and documentation for libcurl
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 HTML and PDF versions of all the manual pages are also provided.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-gnutls-dev
Architecture: any
Section: libdevel
Provides: libcurl-dev, libcurl-ssl-dev
Replaces: libcurl-dev, libcurl-ssl-dev
Conflicts: libcurl2-dev, libcurl3-openssl-dev
Depends: libcurl3-gnutls (= ${Source-Version}), libc6-dev | libc-dev, libgnutls-dev, zlib1g-dev, libidn11-dev, libkrb5-dev | hurd
Description: Development files and documentation for libcurl
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 HTML and PDF versions of all the manual pages are also provided.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-dev
Architecture: all
Section: libdevel
Provides: libcurl-dev, libcurl-ssl-dev
Replaces: libcurl-dev, libcurl-ssl-dev
Depends: libcurl3-openssl-dev (= ${Source-Version})
Description: Transitional package to libcurl3-openssl-dev
 Transitional package depending on libcurl3-openssl-dev.
 .
 Once installed, this package may be safely removed.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-dbg
Architecture: any
Section: libdevel
Priority: extra
Suggests: libc-dbg
Depends: libcurl3 (= ${Source-Version}), libcurl3-gnutls (= ${Source-Version})
Description: libcurl compiled with debug symbols
 This contains the debug symbols of both the OpenSSL and GnuTLS versions of
 libcurl3. It might be useful in debug sessions of software which uses libcurl.
 .
  Homepage: http://curl.haxx.se
